DOM::EntityReference Class Reference

`#include <dom_xml.h>`

Inheritance diagram for DOM::EntityReference:

## Public Member Functions

| EntityReference (const EntityReference &other)
| EntityReference (const Node &other)
EntityReference & | operator= (const Node &other)
EntityReference & | operator= (const EntityReference &other)
Public Member Functions inherited from DOM::Node
| Node (const Node &other)
| Node (NodeImpl *_impl)
Node & | operator= (const Node &other)
bool | operator== (const Node &other) const
bool | operator!= (const Node &other) const
DOMString | nodeName () const
DOMString | nodeValue () const
void | setNodeValue (const DOMString &)
unsigned short | nodeType () const
Node | parentNode () const
NodeList | childNodes () const
Node | firstChild () const
Node | lastChild () const
Node | previousSibling () const
Node | nextSibling () const
NamedNodeMap | attributes () const
Document | ownerDocument () const
Node | insertBefore (const Node &newChild, const Node &refChild)
Node | replaceChild (const Node &newChild, const Node &oldChild)
Node | removeChild (const Node &oldChild)
Node | appendChild (const Node &newChild)
bool | hasChildNodes ()
Node | cloneNode (bool deep)
void | normalize ()
bool | isSupported (const DOMString &feature, const DOMString &version) const
DOMString | namespaceURI () const
DOMString | prefix () const
void | setPrefix (const DOMString &prefix)
DOMString | localName () const
bool | hasAttributes ()
DOMString | textContent () const
void | setTextContent (const DOMString &content) const
void | addEventListener (const DOMString &type, EventListener *listener, const bool useCapture)
void | removeEventListener (const DOMString &type, EventListener *listener, bool useCapture)
bool | dispatchEvent (const Event &evt)
Q_UINT32 | elementId () const
bool | isNull () const
NodeImpl * | handle () const
unsigned long | index () const
QString | toHTML () KDE_DEPRECATED
void | applyChanges ()
void | getCursor (int offset, int &_x, int &_y, int &height) KDE_DEPRECATED
QRect | getRect ()

## Protected Member Functions

| EntityReference (EntityReferenceImpl *i)

## Friends

class | Document

## Additional Inherited Members

Public Types inherited from DOM::Node
enum | NodeType { ELEMENT_NODE = 1, ATTRIBUTE_NODE = 2, TEXT_NODE = 3, CDATA_SECTION_NODE = 4, ENTITY_REFERENCE_NODE = 5, ENTITY_NODE = 6, PROCESSING_INSTRUCTION_NODE = 7, COMMENT_NODE = 8, DOCUMENT_NODE = 9, DOCUMENT_TYPE_NODE = 10, DOCUMENT_FRAGMENT_NODE = 11, NOTATION_NODE = 12 }
Protected Attributes inherited from DOM::Node
NodeImpl * | impl

## Detailed Description

`EntityReference` objects may be inserted into the structure model when an entity reference is in the source document, or when the user wishes to insert an entity reference.

Note that character references and references to predefined entities are considered to be expanded by the HTML or XML processor so that characters are represented by their Unicode equivalent rather than by an entity reference. Moreover, the XML processor may completely expand references to entities while building the structure model, instead of providing `EntityReference` objects. If it does provide such objects, then for a given `EntityReference` node, it may be that there is no `Entity` node representing the referenced entity; but if such an `Entity` exists, then the child list of the `EntityReference` node is the same as that of the `Entity` node. As with the `Entity` node, all descendants of the `EntityReference` are readonly.

The resolution of the children of the `EntityReference` (the replacement value of the referenced `Entity` ) may be lazily evaluated; actions by the user (such as calling the `childNodes` method on the `EntityReference` node) are assumed to trigger the evaluation.

Definition at line 188 of file dom_xml.h.

The documentation for this class was generated from the following files:

- dom_xml.h
- dom_xml.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys